=== dataengines/CMakeLists.txt ===
add_subdirectory(kimpanel)
