=== doc/kcontrol/kcmsmserver/CMakeLists.txt ===
########### install files ###############
#KDE_LANG  = en
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kcontrol/kcmsmserver)
