=== debian/changelog ===
plasma-desktop (4:5.12.9.1-0ubuntu0.1) bionic; urgency=medium

  * New upstream bugfix release (5.12.9) (LP: #1843613)
  * New upstream bugfix release (5.12.9.1)
    - Adds missing include to fix compilation of 5.12.9

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 12 Sep 2019 10:41:35 +0100

plasma-desktop (4:5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:07 +0100

plasma-desktop (4:5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:55:55 +0100

plasma-desktop (4:5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)
  * d/patches: Drop included upstream_fix-kicker-menu-regression.diff

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:23 +0100

plasma-desktop (4:5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)
  * Cherry pick upstream patch to fix a regression in 5.12.5, where
    submenus do not update when switching between categories of the same
    size
    - debian/patches: upstream_fix-kicker-menu-regression.diff

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:38 +0100
