## plasma-desktop 5.13.5

=== debian/changelog ===
plasma-desktop (4:5.13.5-1ubuntu4) cosmic; urgency=medium

  * Add libxcb-keysyms1-dev to Build-Depends again, it was missing after
    the last Debian merge
  * Bump libappstreamqt-dev B-D to 0.12 as requested by upstream, see:
    https://bugs.kde.org/show_bug.cgi?id=391468#c9

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 17 Sep 2018 16:35:48 +0100

plasma-desktop (4:5.13.5-1ubuntu3) cosmic; urgency=medium

  * Cherry-pick upstream patch to fix keyboard navigation in Kicker
    search results.
    - https://phabricator.kde.org/D15286 (KDE Bug 397779).

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Sep 2018 20:08:51 +0100

plasma-desktop (4:5.13.5-1ubuntu2) cosmic; urgency=medium

  * debian/rules: Revert to previous l10npkgs_firstversion_ok version,
    so generated breaks/replaces suit Ubuntu archive l10n.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Sep 2018 08:12:36 +0100

plasma-desktop (4:5.13.5-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Kubuntu packaging Vcs fields.
    - d/control: Bumped Frameworks and Plasma build deps.
    - d/control: Runtime depend on libcanberra-pulse, plus recommends on
      plasma-browser-integration and qml-module-org-kde-kcm.
    - d/meta/cmake-ignore: Cmake ignores for Kubuntu CI builds.
    - d/plasma-desktop-data.qml-ignore: qml runtime ignores for Kubuntu CI
      builds.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 09:17:35 +0100

plasma-desktop (4:5.13.5-1) unstable; urgency=medium

  * New revision
  * Update fonts-hack recommends.
    Thanks to Thomas Viehweger for the report (Closes: 907281)
  * New upstream release (5.13.5).
  * Update build-deps and deps with the info from cmake
  * Drop the patch version for breeze
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:39 +0200

plasma-desktop (4:5.13.5-0ubuntu2) cosmic; urgency=medium

  * Add depends on libcanberra-pulse, required for phonon audio setup
    KCM.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 09 Sep 2018 22:09:38 +0100

plasma-desktop (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:28 +0100

plasma-desktop (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.2).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.13.4).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:14 +0200

plasma-desktop (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:42:31 +0100

plasma-desktop (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * Install plasma-desktop.categories file
  * debian/patches: Drop upstream_place-toolbox-top-right.patch
    Upstream commit "Place toolbox in the top right corner of the screen"
    now exists in upcoming Plasma 5.13.
  * Install KNewStuff ksplash.knsrc for new standalone splashscreens
  * New upstream release (5.13.0)
  * Add recommends on plasma-browser-integration
  * New upstream release (5.13.1.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:31 +0100

plasma-desktop (4:5.13.1.1-1) unstable; urgency=medium

  * New revision
  * Use libscim-dev build dependency.
    Thanks to Helmut Grohne for the report (Closes: 893435)
  * New upstream release (5.13.1.1).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:15 +0200

plasma-desktop (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)
  * d/patches: Drop included upstream_fix-kicker-menu-regression.diff

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:43 +0100

plasma-desktop (4:5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:04 +0200

plasma-desktop (4:5.12.5-0ubuntu4) cosmic; urgency=medium

  * Remove obsolete reccomends on old transitional qml-module-org-kde-
    extensionplugin

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Jun 2018 12:01:57 +0100

plasma-desktop (4:5.12.5-0ubuntu3) cosmic; urgency=medium

  * Rebuild against kauth 5.47, for altered kauth helper binary
    installation paths

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 20:19:41 +0100

plasma-desktop (4:5.12.5-0ubuntu2) cosmic; urgency=medium

  * Cherry pick upstream patch to fix a regression in 5.12.5, where
    submenus do not update when switching between categories of the same
    size
    - debian/patches: upstream_fix-kicker-menu-regression.diff

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 May 2018 10:13:29 +0100

plasma-desktop (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:42 +0100

plasma-desktop (4:5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.4).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:50 +0200
